#
# spec file for package python-kiwi-gtk
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-kiwi-gtk
Version:        1.9.38
Release:        2.2
Summary:        Framework for Python GUI applications
License:        LGPL-2.1
Group:          Development/Languages/Python
Url:            http://www.kiwiproject.com/
Source:         kiwi-gtk-%{version}.tar.bz2
BuildRequires:  gettext
BuildRequires:  pygtk2 >= 2.18
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       pygtk2 >= 2.18
Provides:       python-kiwi = %{version}-%{release}
Obsoletes:      python-kiwi < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%else
BuildArch:      noarch
%endif

%description
Kiwi consists of a set of classes and wrappers for PyGTK that were
developed to provide a sort of framework for applications. Fully
object-oriented, and roughly Smalltalk's MVC, Kiwi provides a simple,
practical way to build forms, windows and widgets that transparently
access and display your object data.

%package doc
Summary:        Documentation related to python-kiwi-gtk
Group:          Documentation/Other
Requires:       %{name} = %{version}

%description doc
This package contains documentation that contains APIs and related materials,
useful for reference when writing software using Kiwi.

%prep
%setup -q -n kiwi-gtk-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%{find_lang} kiwi

%files -f kiwi.lang
%defattr(-,root,root,-)
%exclude %{_datadir}/doc
%doc AUTHORS COPYING README NEWS
%{_bindir}/*
%{_prefix}/lib/glade3
%{_datadir}/glade3
#%%{_datadir}/kiwi
%{python_sitelib}/*

%files doc
%defattr(-,root,root,-)
%doc COPYING doc/* examples

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
- Drop broken changes
* Mon Apr  8 2013 alexandre@exatati.com.br
- Update to 1.9.38:
  - Sorry, no changelog.
* Sat Jan 12 2013 alexandre@exatati.com.br
- Update to 1.9.36.2:
  * Bugfix release
- Aditional changes from 1.9.36.1:
  * Bugfix release
- Aditional changes from 1.9.36:
  * New Release
- Aditional changes from 1.9.35:
  * New Release
- Aditional changes from 1.9.34:
  * New Release
- Aditional changes from 1.9.33:
  * New release
- Aditional changes from 1.9.32:
  * New release
- Aditional changes from 1.9.31:
  * New release
  * Fix MANIFEST.in so it can be installed from tarballs
- Aditional changes from 1.9.30:
  * New release for Stoq 1.1
* Fri Jan 11 2013 alexandre@exatati.com.br
- Update to 1.9.29:
  * New release for Stoq 1.0
- Aditional changes from 1.9.28.1:
  * Add back Gazpacho, so Stoq 0.9.15 still works with it
- Aditional changes from 1.9.28:
  * New Release
- Aditional changes from 1.9.27:
  * New Release
- Aditional changes from 1.9.26.2:
  * Bugfix Release
- Aditional changes from 1.9.26:
  * New Release
- Converted changelog to changes file.
